'use strict';

const split = require("split");
const streamCombiner = require("stream-combiner2");
const sink = require("through2-sink");

module.exports = function logStream(logger) {
	return streamCombiner([
		split(),
		sink((chunk) => {
			let line = chunk.toString();

			if (line.trim() !== "") {
				logger(line);
			}
		})
	]);
}
